Subject: [rfc-i] The upcoming transition to xml2rfc v3

From: RFC Editor <[email-masked]>
Date: Thu, 5 Sep 2019 21:23:25 -0700

Greetings,

With the RFC format transition approaching quickly, we want to share
some of the transition details.  

The RFC Editor will be switching to using xml2rfc v3 [0] [1] [2] to
create RFCs. (Authors do not have to change what they submit as an
Internet-Draft.)

There will be new publication formats (HTML, PDF, and text) and an XML
source file, which uses the v3 vocabulary as described in [3] and
[4]. 

Next week the RFC Editor's code base and database will be updated.
From 16 September 2019, the RFC Editor will be ready to publish in the
new format.  See the transition details [6] for more information.  

For more details on why this change is taking place, see the "RFC
Format Framework” [5]. 

* How does this affect you?  
Please see the transition details page [6], especially if you
currently have a document in the RFC Editor queue [7].

* What if you find a bug in xml2rfc? 
Please add a ticket to the issue tracker [8] or send mail to the
xml2rfc-dev list [9].

[0] Tool: https://pypi.org/project/xml2rfc/
[1] Intro: https://tools.ietf.org/src/xml2rfc/trunk/cli/doc/xml2rfc3.html
[2] FAQ: https://www.rfc-editor.org/materials/FAQ-xml2rfcv3.html
[3] RFC 7991: https://www.rfc-editor.org/rfc/rfc7991
[4] Implementation Notes: https://tools.ietf.org/html/draft-levkowetz-xml2rfc-v3-implementation-notes-09
[5] RFC 7990: https://www.rfc-editor.org/rfc/rfc7990.txt
[6] Transition Details: https://www.rfc-editor.org/rse/wiki/doku.php?id=v3implementation 
[7] Current Queue: https://www.rfc-editor.org/current_queue.php
[8] Issue Tracker: https://trac.tools.ietf.org/tools/xml2rfc/trac/
[9] XML Development Mailing list: https://www.ietf.org/mailman/listinfo/xml2rfc-dev

Thank you.
RFC Editor
_______________________________________________
rfc-interest mailing list
[email-masked]
https://www.rfc-editor.org/mailman/listinfo/rfc-interest

---

From: Jim Schaad <[email-masked]>
Date: Thu, 5 Sep 2019 22:58:37 -0700

Will the RFC Editor potentially be editing output to make the v3 vocabulary look cleaner?  I know of a kramdown file that is having some formatting problems, at least in part due to how it is creating the xml file.

Jim

-----Original Message-----
From: rfc-interest <[email-masked]> On Behalf Of RFC Editor
Sent: Thursday, September 5, 2019 9:23 PM
To: RFC Interest <[email-masked]>; [email-masked]
Cc: [email-masked]; [email-masked]; IESG <[email-masked]>; RFC ISE (Adrian Farrel) <[email-masked]>; [email-masked]; RFC Editor <[email-masked]>
Subject: [rfc-i] The upcoming transition to xml2rfc v3

Greetings,

With the RFC format transition approaching quickly, we want to share some of the transition details.  

The RFC Editor will be switching to using xml2rfc v3 [0] [1] [2] to create RFCs. (Authors do not have to change what they submit as an
Internet-Draft.)

There will be new publication formats (HTML, PDF, and text) and an XML source file, which uses the v3 vocabulary as described in [3] and [4]. 

Next week the RFC Editor's code base and database will be updated.
From 16 September 2019, the RFC Editor will be ready to publish in the new format.  See the transition details [6] for more information.  

For more details on why this change is taking place, see the "RFC Format Framework” [5]. 

* How does this affect you?  
Please see the transition details page [6], especially if you currently have a document in the RFC Editor queue [7].

* What if you find a bug in xml2rfc? 
Please add a ticket to the issue tracker [8] or send mail to the xml2rfc-dev list [9].

[0] Tool: https://pypi.org/project/xml2rfc/ [1] Intro: https://tools.ietf.org/src/xml2rfc/trunk/cli/doc/xml2rfc3.html

Thank you.
RFC Editor

---

From: Julian Reschke <[email-masked]>
Date: Fri, 6 Sep 2019 08:11:25 +0200

> Will the RFC Editor potentially be editing output to make the v3 vocabulary look cleaner?  I know of a kramdown file that is having some formatting problems, at least in part due to how it is creat…

Would be good to have more details. Is this a kramdown2629 issue? Is
Carsten aware?

Best regards, Julian

---

From: Jim Schaad <[email-masked]>
Date: Fri, 6 Sep 2019 09:26:20 -0700

This is a Carsten draft - so yes he is aware of it.

-----Original Message-----
From: Julian Reschke <[email-masked]> 
Sent: Thursday, September 5, 2019 11:11 PM
To: Jim Schaad <[email-masked]>; 'RFC Editor' <[email-masked]>; 'RFC Interest' <[email-masked]>
Cc: 'RFC ISE (Adrian Farrel)' <[email-masked]>
Subject: Re: [rfc-i] The upcoming transition to xml2rfc v3

> Will the RFC Editor potentially be editing output to make the v3 vocabulary look cleaner?  I know of a kramdown file that is having some formatting problems, at least in part due to how it is creat…

Would be good to have more details. Is this a kramdown2629 issue? Is Carsten aware?

Best regards, Julian

---

From: Carsten Bormann <[email-masked]>
Date: Fri, 6 Sep 2019 19:49:44 +0300

The (admittedly clumsy) way kdrfc handles nested lists triggers a problem in xml2rfc's text formatter. I'll change that code eventually (reduce clumsiness), but the XML should work as it is.  (Draft-ietf-cbor-sequence, section 6.4 iirc.)

Sent from mobile, sorry for terse

> On 6. Sep 2019, at 19:26, Jim Schaad <[email-masked]> wrote:
>

---

From: RFC Editor <[email-masked]>
Date: Mon, 9 Sep 2019 13:35:33 -0700

Hi Jim,

On Thu, Sep 05, 2019 at 10:58:37PM -0700, Jim Schaad wrote:
> Will the RFC Editor potentially be editing output to make the v3
> vocabulary look cleaner?  I know of a kramdown file that is having
> some formatting problems, at least in part due to how it is creating
> the xml file. 

We will do some cleanup of the v3 file, but we are hoping to keep the
cleanup minimial.  

Thanks,
RFC Editor/sg

---

From: Paul Kyzivat <[email-masked]>
Date: Tue, 10 Sep 2019 11:19:06 -0400

> We will do some cleanup of the v3 file, but we are hoping to keep the

How about some automated cleanup, such as XML pretty printing?

Or perhaps there could simply be some tools available on the tools site 
that authors can use for such cleanup.

	Thanks,
	Paul

---

From: "HANSEN, TONY L" <[email-masked]>
Date: Wed, 11 Sep 2019 01:52:06 +0000

On 9/10/19, 11:19 AM, "rfc-interest on behalf of Paul Kyzivat" <[email-masked] on behalf of [email-masked]> wrote:

    	Thanks,
    	Paul

Paul, do you have a suggestion for such tools?

	Tony

---

From: Paul Kyzivat <[email-masked]>
Date: Wed, 11 Sep 2019 10:49:53 -0400

> Paul, do you have a suggestion for such tools?

No. I'm in the dark ages, editing my xml with a plain text editor.
So it tends to get really messy. Anything that could be used easily to 
improve on that would be good.

	Thanks,
	Paul

---

From: Heather Flanagan <[email-masked]>
Date: Mon, 16 Sep 2019 09:50:12 -0700

Hola a todos!

After many years of hard work by a very dedicated crew of volunteers, developers, and the RFC Editor team, the RFC Editor is now using xml2rfc v3 to publish RFCs. The RFC Editor will handle the conversion from v2 XML to v3 XML where necessary.

As for when the first document will actually be published using the v3 processes and outputs, that largely depends on the time it takes the authors and editors to get through AUTH48. We expect this to take a bit longer as everyone familiarizes themselves with the changes being made. I can say that all RFCs from RFC-to-be 8650 will be published in the new publication formats.

The xml2rfcv3 vocabulary specification is being updated now to reflect the changes made during implementation. The first -bis document for the vocabulary will be posted before IETF 106.

Additional information regarding the tools, transition details, and useful FAQs are included in the original message below.

Thank you all for your support!
Heather Flanagan, RSE

> On Sep 5, 2019, at 9:23 PM, RFC Editor <[email-masked]> wrote:
> 
> Greetings,
>